Subject: Re: [PATH v3 0/3] iio: adc: xilinx: use even more devres

From: Jonathan Cameron <[email-masked]>
Date: Sun, 13 Dec 2020 12:04:42 +0000

On Fri, 11 Dec 2020 12:15:15 +0000
Anand Ashok Dumbre <[email-masked]> wrote:

> > -----Original Message-----
> > From: Jonathan Cameron <[email-masked]>
> > Sent: Monday 30 November 2020 8:21 PM
> > To: Bartosz Golaszewski <[email-masked]>
> > Cc: Lars-Peter Clausen <[email-masked]>; Peter Meerwald-Stadler
> > <[email-masked]>; Michal Simek <[email-masked]>; linux-
> > [email-masked]; [email-masked]; linux-
> > [email-masked]; Bartosz Golaszewski
> > <[email-masked]>; Anand Ashok Dumbre
> > <[email-masked]>
> > Subject: Re: [PATH v3 0/3] iio: adc: xilinx: use even more devres
> > 
> > On Mon, 30 Nov 2020 15:27:56 +0100
> > Bartosz Golaszewski <[email-masked]> wrote:
> >   
> > > From: Bartosz Golaszewski <[email-masked]>
> > >
> > > This is a follow-up to commit 750628c79bb1 ("iio: adc: xilinx-xadc:
> > > use devm_krealloc()"). I noticed we can use even more devres helpers
> > > and entirely drop the remove() callback.
> > >
> > > v1 -> v2:
> > > - squash three patches adding more devres calls into one for easier
> > > review
> > > - don't insist on the 80 characters limit
> > > - add a new helper: devm_krealloc_array() and use it
> > >
> > > v2 -> v3:
> > > - drop the devm_krealloc_array() helper
> > >
> > > Bartosz Golaszewski (3):
> > >   iio: adc: xilinx: use helper variable for &pdev->dev
> > >   iio: adc: xilinx: use devm_krealloc() instead of kfree() + kcalloc()
> > >   iio: adc: xilinx: use more devres helpers and remove remove()
> > >
> > >  drivers/iio/adc/xilinx-xadc-core.c | 157
> > > ++++++++++++++---------------
> > >  1 file changed, 74 insertions(+), 83 deletions(-)
> > >  
> > 
> > Series looks good to me but would like to leave it a little longer to let others
> > take a look at it. That will probably mean it falls into next cycle now.
> > 
> > +CC Anand who is looking at another series touching this driver and
> > +might
> > give this one a spin as well.
> > 
> > Thanks,
> > 
> > Jonathan  
> 
> Hi Jonathan, Bartosz,
> 
> I have tested and reviewed the patch and everything looks good.
> I have another patch series on the same files that might cause conflicts.
> 
> Reviewed-by: Anand Ashok Dumbre <[email-masked]>
> Tested-by: Anand Ashok Dumbre <[email-masked]>
Thanks,

Applied to the togreg branch of iio.git and pushed out as testing for
the autobuilders to play with it.

There was a small amount of fuzz.

Thanks,

Jonathan

> Thanks,
> Anand

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel